> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member Accesses

> Retrieves all member offer accesses.



## OpenAPI

````yaml get /members/accesses
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /members/accesses:
    get:
      summary: Get Member Accesses
      description: Retrieves all member offer accesses.
      parameters:
        - name: id
          in: query
          schema:
            type: string
        - name: email
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Member accesses
          content:
            application/json:
              schema:
                type: object
                properties:
                  accesses:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        offer_id:
                          type: string
                        price:
                          type: object
                          properties:
                            id:
                              type: string
                              nullable: true
                            amount:
                              type: number
                              nullable: true
                            currency:
                              type: string
                              nullable: true
                            price_type:
                              type: string
                              nullable: true
                            recurring_interval:
                              type: string
                              nullable: true
                            recurring_interval_count:
                              type: integer
                              nullable: true
                        is_active:
                          type: boolean
                        access_created_at:
                          type: string
                          format: date-time
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````